#!/usr/bin/python3

from pystray import Icon, Menu, MenuItem
from PIL import Image
from os import popen
import cairosvg
import io
import os

home = os.path.expanduser("~")
script_dir = os.path.dirname(os.path.abspath(__file__))
application_path = os.path.dirname(script_dir)



def svg_to_png(svg_path):
    # SVG in PNG umwandeln
    png_data = cairosvg.svg2png(url=svg_path)
    return Image.open(io.BytesIO(png_data))


def on_click(icon, item):
    if item.text == "Beenden":
        icon.stop()

def open_primo(icon, item):
    if item.text == "Primo öffnen":
        popen("primo-di-tutto")

def open_ticket(icon, item):
    if item.text == "Fehler Melden":
        popen("guideos-ticket-tool")

def open_updater(icon, item):
    if item.text == "System aktualisieren":
        popen("guideos-updater")

# Menü erstellen
menu = Menu(
    MenuItem("Primo öffnen", open_primo),
    MenuItem("System aktualisieren", open_updater),
    MenuItem("Fehler Melden", open_ticket),
)

# Bild laden

svg_path = f"{application_path}/guideos-tray/arch-updates-symbolic.svg"
icon_image = svg_to_png(svg_path)

# Tray-Icon erstellen
icon = Icon("MeinIcon", icon_image, menu=menu)

# Starten
icon.run()
